%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                Grupo de Modelagem do ROMS - 21/05/09             %
%                                                                  %
% Plotagem da energia cinética do arquivo de saída da rodada       %
% do modelo                                                        %
%                                                                  %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if(day==1)
  cpsh = ['!cp ~/myroms/plot_runs/roms_ek.sh ',dire];
  eval(cpsh)
end

ekfile = dir('*log');ekfile = ekfile.name;
cpek = ['!cp ',ekfile,' ek.txt'];
eval(cpek)

!sh roms_ek.sh

load EK.txt

ke = EK(:,6);
t= EK(:,1);t=(t - t(1) + 1)*TSTEP;t=t/(60*60*24);

figure(2),clf
plot(t,ke)
title('Kinetic Energy')
xlabel('days')
hold on

saveas(gcf,[dire,'KE'],'png')
