% PLOT_ROMS - PACKAGE

%%%%%%%%%%%%%%%%% NETCDF READ %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
nci = netcdf(ofile);     
ncg = netcdf(grid);
depth=size(nci{'temp'},2);


gfile   = grid;
lon   = ncg{'lon_rho'}(:);
lat   = ncg{'lat_rho'}(:);
lonu  = ncg{'lon_u'}(:);
latu  = ncg{'lat_u'}(:);
lonv  = ncg{'lon_v'}(:);
latv  = ncg{'lat_v'}(:);
h     = ncg{'h'}(:);

% ---------------------------------------------------------------------------------

% reading and preparing the output variables --------------------------------------
% eval(['nci = netcdf([''',id,'_',datatype,'.nc'']);'])
t   =  nci{'temp'}(day,:,:,:);
s   =  nci{'salt'}(day,:,:,:);
u   =  nci{'u'}(day,:,:,:);
v   =  nci{'v'}(day,:,:,:);
ub  =  nci{'ubar'}(day,:,:);
vb  =  nci{'vbar'}(day,:,:);
eta =  nci{'zeta'}(day,:,:);
TETA =  nci{'angle'}(:,:);
mask  = nci{'mask_rho'}(:);
mask_U  = nci{'mask_u'}(:);
mask_V  = nci{'mask_v'}(:);
taux = nci{'sustr'}(day,:,:);
tauy = nci{'svstr'}(day,:,:);

Vstretching = nci{'Vstretching'}(:);
Vtransform = nci{'Vtransform'}(:);
Tcline = nci{'Tcline'}(:);
theta_s = nci{'theta_s'}(:);
theta_b = nci{'theta_b'}(:);
Nlaye=size(t,1);

if(isempty(taux)),taux = nan(size(lon));tauy = nan(size(lon));end

if(tp==2),
	igrid=1;
	[zt]=set_depth(Vtransform, Vstretching, theta_s, theta_b, Tcline, Nlaye, igrid, h);

%  %  	zt = get_depths(ofile,grid,1,'t');
end

